%{?nodejs_find_provides_and_requires}

%global packagename to-regex-range
%global enable_tests 1

Name:		nodejs-to-regex-range
Version:	2.1.1
Release:	5%{?dist}
Summary:	Returns a regex-compatible range from two numbers, min and max

License:	MIT
URL:		https://github.com/jonschlinkert/to-regex-range
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-number)
BuildRequires:	npm(repeat-string)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(fill-range)
%endif

%description
Returns a regex-compatible range from two numbers, min and max. Validated
against more than 1.1 million generated unit tests that run in less than 400ms!
Useful for creating regular expressions to validate numbers, ranges, years,
etc.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep is-number

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue May 09 2017 Jared Smith <jsmith@fedoraproject.org> - 2.1.1-1
- Update to upstream 2.1.1 release

* Mon Apr 17 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.2-2
- Allow older version of npm(is-number)

* Mon Apr 17 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Initial packaging
